<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="top-volume-from-domain" charttype="bars">

 <lire:title>Largest Volume Received From Domain Email Report</lire:title>
 <lire:description>
  <para>This report lists the domain from which we received the
   largest volume of mail.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="domain_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of domains to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Largest Volume Received From Domain, Top $domain_to_show</lire:title>
  <lire:description>
   <para>Volume is in bytes</para>
  </lire:description>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$stat" arg2="sent"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-mail_volume" limit="$domain_to_show">
   <lire:field name="from_domain"/>
   <lire:sum name="mail_volume" field="size"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
